AppAIGatewayDocs
API referenceAdmin operations

List application usage events

GET
/v1/admin/apps/{app}/events

Authorization

agw_identity_auth.session_token<token>

The console's session cookie. Admin requests from the console also send x-console-request: 1.

In: cookie

Path Parameters

app*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/apps/string/events"
{  "app_id": "string",  "limit": 0,  "next_before_id": 0,  "events": [    {      "id": 0,      "user_id": "string",      "api_key_id": "string",      "provider": "string",      "provider_slug": "string",      "provider_gateway_id": "string",      "provider_gateway_type": "string",      "credential_source": "direct",      "model_author": "string",      "served_provider": "string",      "served_model": "string",      "model": "string",      "route": "string",      "endpoint_slug": "string",      "input_tokens": 0,      "cached_input_tokens": 0,      "cache_write_tokens": 0,      "output_tokens": 0,      "cost_usd": 0,      "reported_cost_usd": 0,      "cost_source": "computed",      "app_version": "string",      "auth_method": "attest",      "status": "ok",      "client_aborted": 0,      "latency_ms": 0,      "created_at": "string"    }  ]}